Subject: bug#29741: closed (Re: [bug#29741] [PATCH 2/2] gnu: services: web: Add service for httpd.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Jan 2018 08:46:02 +0000

Your bug report

#29741: [PATCH] gnu: services: web: Add service for apache-httpd.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29741: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29741
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29741] [PATCH 2/2] gnu: services: web: Add service for httpd.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jan 2018 08:45:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi Chris!
>
> Sorry for the delay.
>
> Christopher Baines <[email-masked]> skribis:
>
>> * gnu/services/web.scm (<httpd-module>,
>>   <httpd-config-file>, <httpd-virtualhost>
>>   <httpd-configuration>): New record types.
>>   (%default-httpd-modules, %httpd-accounts,
>>   httpd-service-type): New variables.
>>   (httpd-shepherd-services, httpd-activation,
>>   httpd-process-extensions): New procedures.
>> * gnu/tests/web.scm (run-httpd-test): New procedure.
>>   (%httpd-os, %tests-httpd): New variables.
>> * doc/guix.texi (Web Services): Document the Apache HTTP Server.
>
> [...]
>
>> +The @code{(gnu services web)} module provides the Apache HTTP Server,
>> +the nginx web server, and also a fastcgi wrapper daemon.
>> +
>> +@subsubheading Apache HTTP Server
>> +
>> +@deffn {Scheme Variable} httpd-service-type
>> +Service type for the @uref{https://httpd.apache.org/,Apache HTTP}
>> +server.  The value for this service type is a @code{https-configuration}
>         ^
> Maybe add “(@dfn{httpd})”.
>
> Apart from this super-nitpicky comment, this LGTM!  :-)

Great, I've made that change and pushed. Thanks for reviewing Ludo :)

Subject: [PATCH] gnu: services: web: Add service for apache-httpd.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 16 Dec 2017 20:12:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've got as far as writing the service type, and a simple system
test. I've also managed to deploy this with mod_wsgi (which isn't
packaged for Guix yet), which involved extending the service and adding
some virtualhosts.

There isn't any documentation yet, and I'm not very sure of the
way the configuration is organised. In particular:

 - There is a record type for modules, which are handled specifically
   handled in the configuration file. I guess this might be helpful if
   you want to remove modules, but I'm not sure if this is useful.
 - There is some default extra configuration, which is related to the
   mime_module, which makes me wonder if there should be something
   relating these two things.

Christopher Baines (2):
  gnu: tests: web: Generalise the test data for the nginx test.
  gnu: services: web: Add service for apache-httpd.

 gnu/services/web.scm | 227 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 gnu/tests/web.scm    |  90 ++++++++++++++++++--
 2 files changed, 311 insertions(+), 6 deletions(-)